can't adjust brightness via hotkeys(Fn+F6/F6)

Bug #1133168 reported by TienFu Chen on 2013-02-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

system: Asus X501A1, X401A
Other function keys work fine(ex: Fn+F2: switch wifi)

When press Fn+F5/F6, there's no dump from command: showkey.

Adjust brightness from setting "Brightness and Lock" is ok.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.5.0-25-generic 3.5.0-25.38~precise1
ProcVersionSignature: Ubuntu 3.5.0-25.38~precise1-generic 3.5.7.4
Uname: Linux 3.5.0-25-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.25.
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: ALC270 Analog [ALC270 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1485 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf7e10000 irq 46'
   Mixer name : 'Intel PantherPoint HDMI'
   Components : 'HDA:10ec0270,10431c83,00100100 HDA:80862806,80860101,00100000'
   Controls : 26
   Simple ctrls : 12
Date: Tue Feb 26 02:44:25 2013
HibernationDevice: RESUME=UUID=585b1c52-73c1-42c5-b06c-d65456768ed8
InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release amd64 (20130213)
MachineType: ASUSTeK COMPUTER INC. X501A1
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-25-generic root=UUID=2d4b9c10-f74c-431e-93de-1a56621b2c33 ro quiet splash initcall_debug vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-25-generic N/A
 linux-backports-modules-3.5.0-25-generic N/A
 linux-firmware 1.79.1
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/20/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: X501A1.211
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: X501A1
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrX501A1.211:bd08/20/2012:svnASUSTeKCOMPUTERINC.:pnX501A1:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX501A1:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: X501A1
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

TienFu Chen (ctf) wrote :
description: updated

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
assignee: Anthony Wong (anthonywong) → AceLan Kao (acelankao)
Anthony Wong (anthonywong) wrote :

This is caused by bug 806032.

AceLan Kao (acelankao) wrote :

We probably need this patch to fix the issue.
I have submitted this patch for SRU ago, but it will bring a pre-existing bug to light, so the kernel team reject it.
I'll re-verify this patch now and re-send the SRU request.

commit d627b62ff8d4d36761adbcd90ff143d79c94ab22
Author: Lekensteyn <email address hidden>
Date: Tue Jun 26 00:36:24 2012 +0200

    i915: initialize CADL in opregion

    This is rather a hack to fix brightness hotkeys on a Clevo laptop. CADL is not
    used anywhere in the driver code at the moment, but it could be used in BIOS as
    is the case with the Clevo laptop.

    The Clevo B7130 requires the CADL field to contain at least the ID of
    the LCD device. If this field is empty, the ACPI methods that are called
    on pressing brightness / display switching hotkeys will not trigger a
    notification. As a result, it appears as no hotkey has been pressed.

    Reference: https://bugs.freedesktop.org/show_bug.cgi?id=45452
    Tested-by: Peter Wu <email address hidden>
    Signed-off-by: Peter Wu <email address hidden>
    Acked-by: Jesse Barnes <email address hidden>
    Signed-off-by: Daniel Vetter <email address hidden>

AceLan Kao (acelankao) wrote :

Confirm this patch works well.

Changed in linux (Ubuntu):
status: Confirmed → In Progress
AceLan Kao (acelankao) wrote :

We need this patch to fix the pre-existing bug that will make the screen become black.
But, this commit based on many other changes.

commit 3739850b46f560a2be29287c3e5c29999d1a7e0e
Author: Daniel Vetter <email address hidden>
Date: Thu Sep 6 22:15:44 2012 +0200

    drm/i915: disable the cpu edp port after the cpu pipe

    See bspec, Vol3 Part2, Section 1.1.3 "Display Mode Set Sequence". This
    applies to all platforms where we currently support eDP on, i.e. ilk,
    snb & ivb.

    Without this change we fail to light up the eDP port on previously
    unused crtcs (likely because something is stuck on the old pipe), and
    we also fail to properly disable the old pipe (i.e. bit 30 in the
    PIPECONF register is stuck as set until the next reboot).

    v2: Rebased on top of the edp panel off sequence changes in 3.6-rc2.

    Reviewed-by: Paulo Zanoni <email address hidden>
    Bugzilla: https://bugzilla.kernel.org/show_bug.cgi?id=44001
    Signed-Off-by: Daniel Vetter <email address hidden>

AceLan Kao (acelankao) on 2013-04-01
Changed in linux (Ubuntu):
status: In Progress → Triaged
Daniel Manrique (roadmr) on 2013-05-26
Changed in linux (Ubuntu):
importance: Undecided → Low
Changed in linux (Ubuntu):
assignee: AceLan Kao (acelankao) → Liming Wang (wangliming)
Liming Wang (wangliming) on 2017-04-12
Changed in linux (Ubuntu):
assignee: Liming Wang (wangliming) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.